> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all employments

> The endpoint returns a list of all employments.



## OpenAPI

````yaml GET /v1/links/{link_id}/employments/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/employments/:
    parameters:
      - name: link_id
        in: path
        description: Link ID
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Employment
      summary: List all employments
      description: The endpoint returns a list of all employments.
      operationId: link-employments
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EmploymentLinked'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    EmploymentLinked:
      required:
        - id
        - company
        - start_date
      type: object
      properties:
        income:
          description: Income amount not including commission or bonuses
          type: string
          nullable: true
          format: decimal
          example: '70000.00'
        income_unit:
          description: |+

            The pay interval the income field refers to:

            * `YEARLY` - Annual income,
            * `MONTHLY` - Monthly income,
            * `WEEKLY` - Weekly income,
            * `DAILY` - Daily income,
            * `HOURLY` - Hourly income

          type: string
          example: YEARLY
          enum:
            - YEARLY
            - MONTHLY
            - WEEKLY
            - DAILY
            - HOURLY
            - null
          nullable: true
        pay_rate:
          description: Payment rate per pay cycle
          type: string
          nullable: true
          format: decimal
          example: '6500.00'
        pay_frequency:
          description: |+

            Pay frequency:

            * `M` - Monthly,
            * `SM` - Semi-Monthly,
            * `W` - Weekly,
            * `BW` - Bi-Weekly,
            * `A` - Annually,
            * `SA` - Semiannually,
            * `C` - Commission

          type: string
          example: M
          enum:
            - M
            - SM
            - W
            - BW
            - A
            - SA
            - C
            - null
          nullable: true
        id:
          description: Unique ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        is_active:
          description: Indicates whether the employment is still active
          type: boolean
          nullable: true
          example: false
        job_title:
          description: Employee's job title
          type: string
          nullable: true
          example: PR associate
        job_type:
          description: |+

            Employee's job type:

            * `F` - Full Time,
            * `P` - Part Time,
            * `S` - Seasonal,
            * `D` - Daily (per diem),
            * `C` - Contract,
            * `V` - Volunteer

          type: string
          example: F
          enum:
            - F
            - P
            - S
            - D
            - C
            - V
            - null
          nullable: true
        start_date:
          description: Employee's hire date
          type: string
          format: date
          example: '2018-01-01'
          nullable: true
        original_hire_date:
          description: Original hire date
          type: string
          nullable: true
          format: date
          example: '2017-06-21'
        end_date:
          description: Employee's end date
          type: string
          format: date
          nullable: true
        external_last_updated:
          description: >-
            Indicates the date when employment data was last updated on the
            Payroll Provider side
          type: string
          nullable: true
          format: date
        derived_fields:
          description: Array of derived fields
          type: array
          items:
            type: string
          example:
            - is_active
        missing_data_fields:
          description: >-
            List of the data fields which are missing in the payroll API
            response
          type: array
          items:
            type: string
          example:
            - w2s
        manager_name:
          description: Supervisor's name
          type: string
          nullable: true
          example: Jenny McDouglas
        company:
          $ref: '#/components/schemas/Company'
      description: Employment data
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Company:
      required:
        - name
        - address
      type: object
      properties:
        name:
          description: Company name
          type: string
          example: Facebook Demo
        address:
          description: Company address
          type: object
          properties:
            street:
              description: Street
              type: string
              example: 1 Morgan Ave
            city:
              description: City
              type: string
              example: Los Angeles
            state:
              description: State
              type: string
              example: CA
            zip:
              description: Zip code
              type: string
              example: '90210'
            country:
              description: Country
              type: string
              example: US
        phone:
          description: Company phone number
          type: string
          nullable: true
          example: '6503087300'
        ein:
          description: Employer Identification Number  (EIN)
          type: string
          nullable: true
          example: 12-345678
      description: Company information
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````